---
title: "2024 年终总结"
date: 2025-01-01T23:47:18+08:00
tags: []
categories: []
weight: 50
show_comments: true
katex: false
draft: false
description: ""
---

毕业后的第一年慢慢过去，工作生活没有十分匀称，也是第一次尝试写年终总结之类的文章，简单梳理一下今年做了些什么，以及将要做些什么。

<!--more-->

## 生活上

细细想来一年到头留下有印象的东西没有多少，只是

勉强顺利毕业，并且其实在去年的时候成功找到了现在的工作，目前也在顺利年前转正（6 个月的试用期只过了 4.5 个月就转正了，可能算是赚了？）。

在出租屋里整了一些可能想要玩的东西，比如终于组装了好几年前就在计划的家庭家庭服务器，但是由于前面提到的“工作生活没有十分匀称”的原因，到目前已经组装好了差不多两个月了，却也只是将将跑起来，完全没有承载任何实际用得上的服务，彻彻底底地在吃灰，以及黑五的时候入手了一台服务器也是同样吃灰一个多月的情况。

## 业余上

大学期间就在列的关于技术的“待了解清单”已经堆积很多了，近些年很少再往里面添加东西了，但是里面的条目也很少去完成，算是比较遗憾的事情。

然后新添置了几台服务器以及组装了家庭服务器，其实是在打算组建一个 k8s/k3s 集群的，之前在树莓派上已经浅浅试验过了，只不过由于“不匀称”的原因一直没有开始做，以及组建集群的前置工作太多了，包括更加规范的打包流程、自建容器镜像之类的，现在还停留在规范的打包流程的步骤。

然后说一说现在还记得的一些关于服务器维护中的小工作，apache2 看起来开发不是十分活跃，以及为了尝鲜 http3 之类的，准备把 apache2 换到 caddy，但是由于 caddy 的 TLS 证书更新很难与 certbots 来搭配，所以准备把 certbots 也撤掉，利用 caddy 的 events 来实现证书的部署（其实就是挪动到特定的目录），但是因为 caddy 的这一特性并不完全标准版中，需要手动编译一个带插件的版本，然后为了长久的维护和横向部署的方便，便走了一遍打包流程，并上传到自建的 aptly 实例来伺服一个 apt 仓库……，就是这样，前面提的打包的知识还是很有用的，→_→

以及关于博客，实在是太久没有写过博客了，工作中其实学到了很多新的知识，但是相当一部分并不是通用的知识，以及把公司内容写到公共空间可能不是很好，更多的还是因为“不孕纯”的原因，博客几乎是完全不活跃了。不过也是接着年终总结的机会更一下，也是刚刚发现自己的主题和 hugo 版本已经很旧了，都有 deprecated warning 了，趁着这个机会修一修以及更一更。（以及还好之前修过了 CI 工具，新博客应该能顺利部署出来，→_→）

## 总结

总之，接下来的一年的目标就是平衡一下工作和生活之间的比重，以及最好要调整一下现在的死人作息，技术上就是把各种服务器组建成 k8s/k3s 集群，并且尽可能把日常维护的操作往 ansible 上面迁移，以及前置的规范打包流程和镜像。

以及小小的愿望是今年能够产出几篇技术性或者和技术相关记录性的文章，毕竟毕业前确实没有多余的心思写博客，但是工作以后还是什么都不写着实不是长远之计。

PS: 博客本地渲染并预览的时候才发现藏的好深啊哈哈哈哈哈哈哈，不过确实主页应该给技术性文章保留，况且咱再怎么着也给它单独开了一个分组不是？也不算亏待了哈哈哈哈～
